.c-carousel {
	position: relative;
	height: 100%;

	&__container {
		display: flex;
		height: 100%;
		transition: transform .3s;
		transform: translate3d(0, 0, 0);
	}

	&--images {
		height: 20rem;
		
		@include xs {
			height: 30rem;
		} 

		@include sm {
			height: 35rem;
		} 

		@include md {
			height: 51.6rem;
		} 
	}

	&__item {
		display: flex;
		align-items: center;
		justify-content: center;
		padding: 0.5rem;
		height: 100%;
		position: relative;

		img {
			object-fit: cover;
			width: 100%;
			height: 100%;
		}

		&__copyright {
			position: absolute;
      bottom: 1rem;
      left: 1rem;
      color: $white;
      font-size: 1.5rem;
      font-style: italic;
		}
	}

	&__next,
	&__prev {
		position: absolute;
		top: 50%;
		display: flex;
		flex-direction: row;
		align-items: center;
		justify-content: center;
		transform: translateY(-50%);
		background-size: 1.2rem 2rem;
		background-color: $white;
		color: $blue;
		width: 6rem;
		height: 6rem;
		border-radius: 50%;
		box-shadow: 0px 1rem 3rem rgba(0, 0, 0, 0.05);
		font-size: 2rem;
		transition: opacity .1s, transform 0.2s ease-in-out; 

		&::before {
			font-family: 'railopenlab' !important;
			content: "\e900";
		}

		&:hover {
			cursor: pointer;
		}
		
		&--hidden {
			opacity: 0;
		}

		@include sm {
			width: 7rem;
			height: 7rem;
		}

		@include lg {
			width: 10rem;
			height: 10rem;
			font-size: 3rem;
		}
	}

	&__next {
		right: -3rem;

		@include sm {
			right: -3.5rem;
		}

		@include lg {
			right: -5rem;

			&:hover {
				transform: translate(1rem, -50%);
			}
		}
	}

	&__prev {
		transform: translateY(-50%) rotateY(180deg);
		left: -3rem;

		@include sm {
			left: -3.5rem;
		}

		@include lg {
			left: -5rem;

			&:hover {
				transform: translate(-1rem, -50%) rotateY(180deg);
			}
		}
	}

	&__pagination {
		display: none;
		position: absolute;
		bottom: 0;
		left: 0;
		right: 0;
		text-align: center;

		&__button {
			background-color: $blue;
			width: 1rem;
			height: 1rem;
			border-radius: 50%;
			display: inline-block;
			margin: 0 0.3rem;
			box-shadow: 0px 1rem 3rem rgba(0, 0, 0, 0.05);
			transition: all .3s;
	
	
			&--active,
			&:hover {
				cursor: pointer;
				background-color: $white;
				transform: scale(1.4);
			}
		}

		@include md {
			display: block;
		}
	}
}

.c-testimonials-carousel {
	width: 100%;
	position: relative;
	padding: 5rem 0;

	@include md {
		padding: 5rem 7.4rem;
	}

	@include lg {
		padding: 10rem;
	}

	@include xl {
		padding: 10rem 15.4rem;
	}

	&__title {
		font-weight: 300;
		color: $blue;
		font-size: 3.8rem;
		line-height: 5rem;
		letter-spacing: -0.1rem;
		text-align: center;

		@include sm {
			font-size: 4.8rem;
			line-height: 6.8rem;
		}
		
		@include md {
			font-size: 9.6rem;
			letter-spacing: -2px;
		}
	}

	&__wrapper {
		position: relative;
		display: flex;
		flex-direction: column;
	}

	&__item {
		position: relative;
		display: flex;
		flex-direction: column;
		align-items: flex-start;
		width: 100%;

		@include md {
			flex-direction: row;
		}

		&__visual {
			width: 100%;
			height: 37rem;

			@include sm {
				height: 45rem;
			}

			@include md {
				width: 60rem;
				height: 60rem;
			}
	
			img {
				width: 100%;
				height: 100%;
				object-fit: cover;
			}
		}
	
		&__content {			
			width: 90%;
			margin: -6rem auto 0;
			padding: 3rem;
			background-color: $white;
			box-shadow: 0 1rem 3rem rgba(0, 0, 0, .05);
			border-radius: 10px;
		
			@include md {
				width: calc(100% - 30rem);
				max-height: 43rem;
				margin: 3rem 0 0 -10rem;
				padding: 3rem;
			}

			@include lg {
				width: 60%;
				margin: 6rem 0 0 -10rem;
				padding: 5rem;
			}

			.testimony {
				font-weight: 300;
				font-size: 1.6rem;
				color: $black;
				letter-spacing: -.1rem;
				margin-bottom: 3rem;

				@include sm {
					font-size: 2rem;
				}

				@include xl {
					font-size: 2.4rem;
				}
			}
	
			.fullname {
				font-weight: 400;
				font-size: 1.4rem;
				color: $blue;
				margin-bottom: .5rem;
			}

			.job {
				font-weight: 400;
				font-size: 1rem;
				text-transform: uppercase;
				color: $black;
			}
		}
	}

	&__navigation {
		padding: 1rem;
		display: flex;
		justify-content: flex-start;
		gap: 1rem;
		margin: 3rem auto 0;

		@include md {
			position: absolute;
			bottom: 2rem;
		}

		@include md {
			left: 55rem;
		}

		@include lg {
			left: 70rem;
		}

		&__next,
		&__prev {
			display: flex;
			align-items: center;
			justify-content: center;
			width: 5rem;
			height: 5rem;
			color: $blue;
			border-radius: 50%;
			box-shadow: 0px 1rem 3rem rgba(0, 0, 0, 0.05);
			transition: opacity .1s;
			border: 1px solid $blue;
			transition: all 0.2s ease-in-out;

			&:hover {
				cursor: pointer;
				background-color: $blue;
				color: $white;
			}
			
			&--hidden {
				opacity: 0;
			}

			@include sm {
				width: 5rem;
				height: 5rem;
			}

			@include lg {
				width: 5rem;
				height: 5rem;
			}
		}
	}
}